Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229533 - Review Request: perl-Template-GD - GD plugin(s) for the Template Toolkit
Summary: Review Request: perl-Template-GD - GD plugin(s) for the Template Toolkit
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jose Pedro Oliveira
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-21 18:48 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-09 15:27:41 UTC
jose.p.oliveira.oss: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2007-02-21 18:48:10 UTC
Spec URL: http://auroralinux.org/people/spot/review/perl-Template-GD.spec
SRPM URL: http://auroralinux.org/people/spot/review/perl-Template-GD-2.66-1.src.rpm
Description: 

The Template-GD distribution provides a number of Template Toolkit
plugin modules to interface with Lincoln Stein's GD modules.  These in
turn provide an interface to Thomas Boutell's GD graphics library.

These plugins were distributed as part of the Template Toolkit until
version 2.15 released in February 2006.  At this time they were
extracted into this separate distribution.

Comment 1 Jose Pedro Oliveira 2007-02-22 03:27:02 UTC
Needswork
---------

* several missing requirements

  Current requirements

  $ rpm -qpR perl-Template-GD-2.66-1.noarch.rpm
  perl(:MODULE_COMPAT_5.8.8)
  perl(GD)  
  perl(base)  
  perl(strict)  
  perl(warnings)
  ...

  Missing requirments:

  The same base modules that are listed as BR.
  rpmbuild fails to detect "use base <perlmodule>" requirements.

  $ grep -r -h "\buse" * | sort | uniq
  ...
  use base qw( GD::Graph::area Template::Plugin );
  use base qw( GD::Graph::bars3d Template::Plugin );
  use base qw( GD::Graph::bars Template::Plugin );
  use base qw( GD::Graph::lines3d Template::Plugin );
  use base qw( GD::Graph::linespoints Template::Plugin );
  use base qw( GD::Graph::lines Template::Plugin );
  use base qw( GD::Graph::mixed Template::Plugin );
  use base qw( GD::Graph::pie3d Template::Plugin );
  use base qw( GD::Graph::pie Template::Plugin );
  use base qw( GD::Graph::points Template::Plugin );
  use base qw( GD::Text::Align Template::Plugin );
  use base qw( GD::Text Template::Plugin );
  use base qw( GD::Text::Wrap Template::Plugin );
  use base 'Template::Plugin';
  ...

* find: change order of the options

  -find $RPM_BUILD_ROOT -type d -depth ...
  +find $RPM_BUILD_ROOT -depth -type d ...

  Avoids the warning: "find: warning: you have specified the -depth option
after a non-option argument -type, but options are not positional (-depth
affects tests specified before it as well as those specified after it).  Please
specify options before other arguments."



Other notes/sugestions
----------------------

* drop the perl BR

* add a slash to the end Template directory: it's easier to detect that we
  are planning owning the directory and everything inside it.

  -%{perl_vendorlib}/Template
  +%{perl_vendorlib}/Template/


jpo

Comment 2 Jose Pedro Oliveira 2007-03-30 20:17:25 UTC
ping

Comment 4 Antonio Gallardo 2007-04-06 04:49:50 UTC
bugzilla package in fedora extras repository should reqires this package too.

Comment 5 Jose Pedro Oliveira 2007-04-07 19:17:29 UTC
APPROVED

MD5SUMS:
45d84b9a9f2d10e89aa4826ee6f219b0  perl-Template-GD-2.66-2.src.rpm

223844df6c603a3fd3b4cc9daad30b5d  perl-Template-GD.spec
9052bef9bd799e143990e67422c14b81  Template-GD-2.66.tar.gz

Sources:
* Template-GD-2.66.tar.gz: MD5 digest verified against CPAN copy.

Good:
* URL and Source url are valid.
* License verified (README file)
* Requirements and build requirements are sane
* perl(:MODULE_COMPAT_xxx) contruct present
* perl vendor libs present
* File permissions are sane

Comment 6 Tom "spot" Callaway 2007-04-09 13:49:20 UTC
New Package CVS Request
=======================
Package Name: perl-Template-GD
Short Description: GD plugin(s) for the Template Toolkit
Owners: tcallawa@redhat.com
Branches: FC-5 FC-6
InitialCC: fedora-perl-devel-list@redhat.com



Comment 7 Tom "spot" Callaway 2007-04-09 15:27:41 UTC
Built.


Note You need to log in before you can comment on or make changes to this bug.